Package com.ngrok.definitions

# Class EventTargetCloudwatchLogs

java.lang.Object
com.ngrok.definitions.EventTargetCloudwatchLogs

public class EventTargetCloudwatchLogs extends Object
A class encapsulating the `EventTargetCloudwatchLogs` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EventTargetCloudwatchLogs.Builder`
  Builder class for `EventTargetCloudwatchLogs`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `AwsAuth`
  `getAuth()`
  Configuration for how to authenticate into your AWS account.
  `String`
  `getLogGroupArn()`
  An Amazon Resource Name specifying the CloudWatch Logs group to deposit events into.
  `int`
  `hashCode()`
  `static EventTargetCloudwatchLogs.Builder`
  `newBuilder()`
  Creates a new builder for the `EventTargetCloudwatchLogs` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static EventTargetCloudwatchLogs.Builder newBuilder()
    Creates a new builder for the `EventTargetCloudwatchLogs` type.
    Returns:
      a new `EventTargetCloudwatchLogs.Builder`

  - ### getAuth

    public AwsAuth getAuth()
    Configuration for how to authenticate into your AWS account. Exactly one of `role` or `creds` should be configured.
    Returns:
      the value of the property as a `AwsAuth`

  - ### getLogGroupArn

    public String getLogGroupArn()
    An Amazon Resource Name specifying the CloudWatch Logs group to deposit events into.
    Returns:
      the value of the property as a `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`